ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Opt.CallerCC.Types

# Documentation

data NamePattern #

Constructors

PChar Char NamePattern |
PWildcard NamePattern |
PEnd |

#### Instances

Instances details

Binary NamePattern # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods put_ :: BinHandle -> NamePattern -> IO () # put :: BinHandle -> NamePattern -> IO (Bin NamePattern) # get :: BinHandle -> IO NamePattern #
Outputable NamePattern # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods ppr :: NamePattern -> SDoc #

data CallerCcFilter #

Constructors

CallerCcFilter |

Fields

- ccfModuleName :: Maybe ModuleName
- ccfFuncName :: NamePattern

#### Instances

Instances details

Binary CallerCcFilter # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods put_ :: BinHandle -> CallerCcFilter -> IO () # put :: BinHandle -> CallerCcFilter -> IO (Bin CallerCcFilter) # get :: BinHandle -> IO CallerCcFilter #
Outputable CallerCcFilter # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods ppr :: CallerCcFilter -> SDoc #

occNameMatches :: NamePattern -> OccName -> Bool #

parseCallerCcFilter :: String -> Either String CallerCcFilter #

parseNamePattern :: Parser NamePattern #